doctype html
html
  head
    meta(charset='utf-8')
    meta(http-equiv='X-UA-Compatible' content='IE=edge, chrome=1')
    meta(name='viewport' content='width=device-width, maximum-scale=1.0 minimum-scale=1.0 initial-scale=1.0 user-scalable=no')
    meta(name='description' content='Get the stats on your raps.')
    meta(name='keywords' content='freestyle,rap,freestyle rap,hip-hop,hiphop,trap,music,spoken word)')
    meta(name='mobile-web-app-capable' content='yes')
    meta(name='apple-mobile-web-app-capable' content='yes')
    meta(name='apple-mobile-web-app-status-bar-style' content='black-translucent')

    //- Social Tags for shaing to Twitter and Open Graph Supported sites
    meta(property='twitter:card' content='summary')
    meta(property='twitter:site' content='@barfaxual')
    meta(property='twitter:creator' content='@brwnrclse')
    meta(property='og:title' content='barfax - compose. edit. flow')
    meta(property='og:description' content='Get the stats on your raps.')
    meta(property='og:image' content='')
    meta(property='og:url' content='https://barfax.xyz')

    //- Favicon Stuff
    link(rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png")
    link(rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png")
    link(rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png")
    link(rel="manifest" href="/site.webmanifest")
    link(rel="mask-icon" href="/safari-pinned-tab.svg" color="#f6d8ae")

    //- Webapp Stuff (manifest, etc)
    link(rel="manifest" href="/site.webmanifest")
    meta(name="apple-mobile-web-app-title" content="barfax")
    meta(name="application-name" content="barfax")
    meta(name="msapplication-TileColor" content="#ffc40d")
    meta(name="theme-color" content="#f6d8ae")

    title
      | barfax - compose. edit. flow

    //- Critical CSS will be injected here (check scripts/inject-critical.js)

    //- Styles
    link(rel='stylesheet' type='text/css' href='css/main.css')

    //- Async webfont loading
    script(type='text/javascript').
      WebFontConfig = {
        google: {
          families: ['IBM Plex Mono']
        },
        custom: {
            families: ['OpenDyslexic'],
            urls: ['https://cdn.clarkhacks.com/OpenDyslexic/v3/OpenDyslexic.css']
        }
      };

      (function(d){
        var
          wf = d.createElement('script'),
          s = d.scripts[0];

        wf.src = 'assets/loadWebFont/webfont.js';
        wf.async = true;
        wf.onerror = 'console.log("Error Loading Webfont")'
        s.parentNode.insertBefore(wf, s);
      })(document);

    //- Dependencies will be injected here (check scripts/inject-cdn.js)

    script(defer type='text/javascript' src='js/barfax.js')
  body
    //- SVG Spritse will be injected here (check scripts/inject-sprites.js)
    #app-root
